Subject: Re: [PATCH 07/22] RDMA/irdma: Register an auxiliary driver and implement private channel OPs

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 1 Feb 2021 15:19:52 -0400

On Sat, Jan 30, 2021 at 01:19:22AM +0000, Saleem, Shiraz wrote:

> Do you mean 2 different auxiliary device names - one for RoCE and
> iWARP?  The drv.probe() and other callbacks will be very similar for
> gen2, so one gen2 aux driver which can bind to iW and RoCE aux
> device should suffice.

You probably end up with three aux device names, gen 1, gen 2 roce and
gen 2 iwarp

Certainly flipping modes should change the device name. This helps
keep everything synchronized, since you delete a device and wait for
all drivers to unbind then create a new device with a different
name.

Jason